SCSI_MODE_SELECT(9)

NAME
scsi_mode_select - issue a mode select

SYNOPSIS

int scsi_mode_select(struct scsi_device * sdev, int pf, int sp, int modepage, unsigned char * buffer, int len, int timeout, int retries, struct scsi_mode_data * data, struct scsi_sense_hdr * sshdr);

ARGUMENTS

sdev
    SCSI device to be queried

pf
    Page format bit (1 == standard, 0 == vendor specific)

sp
    Save page bit (0 == don't save, 1 == save)

modepage
    mode page being requested

buffer
    request buffer (may not be smaller than eight bytes)

len
    length of request buffer.

timeout
    command timeout

retries
    number of retries before failing

data
    returns a structure abstracting the mode header data

sshdr
    place to put sense data (or NULL if no sense to be collected). must be SCSI_SENSE_BUFFERSIZE big.

DESCRIPTION

Returns zero if successful; negative error number or scsi status on error

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT